public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: net-p2p/feather/
Date: Sat, 28 Dec 2024 20:08:11 +0000 (UTC)	[thread overview]
Message-ID: <1735345020.7e8a14d1babbc60327dc736dd3244541046075c4.flow@gentoo> (raw)

commit:     7e8a14d1babbc60327dc736dd3244541046075c4
Author:     tea <tea+gentoo <AT> cuddleslut <DOT> fr>
AuthorDate: Sat Dec 28 00:17:00 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Dec 28 00:17:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7e8a14d1

net-p2p/feather: add 2.7.0

Signed-off-by: tea <tea+gentoo <AT> cuddleslut.fr>

 net-p2p/feather/Manifest             |   2 +
 net-p2p/feather/feather-2.7.0.ebuild | 110 +++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-p2p/feather/Manifest b/net-p2p/feather/Manifest
index e1757076e..5e746e310 100644
--- a/net-p2p/feather/Manifest
+++ b/net-p2p/feather/Manifest
@@ -2,3 +2,5 @@ DIST feather-2.6.7.tar.gz 29105182 BLAKE2B efdeee978cccc859c8951440e2d32f5375d25
 DIST feather-2.6.7.tar.gz.asc 833 BLAKE2B 337e7c41ad3c6e2d101470ef32d47ded55b5abb4c9451c66ccff55a62f49d19ed335371278fa1ef76d77e67e08b93dba2efd51855ebe7a7d2630c2a12937b269 SHA512 f9242645e7e2f591173f29949a87a31ec9eab5898e33179cde3031ad050441f03f9b4dff3eb1a72681f6873c84ecc198aef2e08a7224cd92d72de3c1b00b4618
 DIST feather-2.6.8.tar.gz 29100328 BLAKE2B 06eedce5317125163d6778076a3f4e49716eb4721381a5544db261d83c59227ccd612409537d997b2c4ca06086c2c8cb3858c4238baa822323379c46e2208277 SHA512 34786d8422fe96a680b2a47cc116a781551442e7b6b9909f0a203a0da46f496e90341b9564caff022948c1ab728afccfd04c7e067a550b5d02b0fcefc3eb54d2
 DIST feather-2.6.8.tar.gz.asc 833 BLAKE2B 7948b56047b597f196878ad209cfa1dec8e330e386b83e426f29d94ae171233c5ed5db0ac56842c4312cb397bb8c6be608591b8c47242eaec88769f6f0d8cbd2 SHA512 57dc435bdd4154f5937f503fc45d53e296a5338010cfa7b32ae8a7f2580d6df82686dc2c9da90127d32d81baecf96d2f96b19cb8472ca3800e2248bbdc45df73
+DIST feather-2.7.0.tar.gz 27411343 BLAKE2B 764ff22a36e1668da3fa2109a13802b96c432be3a35c58923daa9e23d1fe8cae6c8c853e939abc2aee60f7fb2e4bcca405f59ae545939128f3a78c5d9bbc99dd SHA512 b627f8af250860b8ea3788affec13fbd70f8687f58241e7840685c663f8ad057856247ff3b31273f33bddb879a7ee56f3b5fc4c47dff40e7afe73dd5fc5a56ea
+DIST feather-2.7.0.tar.gz.asc 833 BLAKE2B a6a37eb2470c2dc7e3c3a72812681e62458b30925b6b12fb9a1f3b7eb8351294e202b4af38c757adff7a3e9d84df37a0560e189cffbeaa32910e859171fa576c SHA512 3ba73562fb712a28b84d7185235d31a62dc967b25eea4764f4c8c89329427a126eb3ebef3e28182c3d53e1fcf2c2b4c45e732fb209f77d16756609e510e281ec

diff --git a/net-p2p/feather/feather-2.7.0.ebuild b/net-p2p/feather/feather-2.7.0.ebuild
new file mode 100644
index 000000000..e26ff73f1
--- /dev/null
+++ b/net-p2p/feather/feather-2.7.0.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop verify-sig xdg
+
+DESCRIPTION="A free, open-source Monero wallet"
+HOMEPAGE="https://featherwallet.org"
+SRC_URI="
+	https://featherwallet.org/files/releases/source/${P}.tar.gz
+	verify-sig? ( https://featherwallet.org/files/releases/source/${P}.tar.gz.asc )
+"
+
+# Feather is released under the terms of the BSD license, but it vendors
+# code from Monero and Tor too.
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="bounties calc crowdfunding exchange home localmonero qrcode reddit revuo tickers xmrig"
+DEPEND="
+	dev-libs/libsodium:=
+	media-gfx/qrencode:=
+	media-gfx/zbar:=[v4l]
+	~dev-libs/polyseed-1.0.0
+	dev-libs/libzip:=
+	dev-libs/boost:=[nls]
+	>=dev-qt/qtbase-6.7.3:6
+	>=dev-qt/qtsvg-6.7.3:6
+	>=dev-qt/qtmultimedia-6.7.3:6
+	>=dev-qt/qtwebsockets-6.7.3:6
+	dev-libs/libgcrypt:=
+	sys-libs/zlib
+	dev-libs/openssl:=
+	net-dns/unbound:=[threads]
+	net-libs/czmq:=
+	qrcode? ( media-libs/zxing-cpp )
+"
+RDEPEND="
+	${DEPEND}
+	net-vpn/tor
+	xmrig? ( net-misc/xmrig )
+"
+BDEPEND="
+	virtual/pkgconfig
+	verify-sig? ( sec-keys/openpgp-keys-featherwallet )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/featherwallet.asc
+
+src_prepare() {
+	default
+	echo "#define FEATHER_VERSION \"${PV}\"" > "${WORKDIR}"/${P}/src/config-feather.h || die
+	echo "#define TOR_VERSION \"NOT_EMBEDDED\"" >> "${WORKDIR}"/${P}/src/config-feather.h || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCMAKE_BUILD_TYPE=Release
+		-DBUILD_SHARED_LIBS=OFF
+		-DARCH=x86-64
+		-DBUILD_TAG="linux-x64"
+		-DBUILD_64=ON
+		-DSELF_CONTAINED=OFF
+		-DWITH_PLUGIN_HOME=$(usex home)
+		-DWITH_PLUGIN_TICKERS=$(usex tickers)
+		-DWITH_PLUGIN_CROWDFUNDING=$(usex crowdfunding)
+		-DWITH_PLUGIN_BOUNTIES=$(usex bounties)
+		-DWITH_PLUGIN_REDDIT=$(usex reddit)
+		-DWITH_PLUGIN_REVUO=$(usex revuo)
+		-DWITH_PLUGIN_CALC=$(usex calc)
+		-DWITH_PLUGIN_EXCHANGE=$(usex exchange)
+		-DWITH_PLUGIN_LOCALMONERO=$(usex localmonero)
+		-DWITH_PLUGIN_XMRIG=$(usex xmrig)
+		-DCHECK_UPDATES=OFF
+		-DPLATFORM_INSTALLER=OFF
+		-DUSE_DEVICE_TREZOR=OFF
+		-DDONATE_BEG=OFF
+		-DWITH_SCANNER=$(usex qrcode)
+	)
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_build feather
+}
+
+src_install() {
+	dobin "${BUILD_DIR}/bin/feather"
+
+	newicon -s 256 "${WORKDIR}"/${P}/src/assets/images/appicons/256x256.png feather.png
+	newicon -s 128 "${WORKDIR}"/${P}/src/assets/images/appicons/128x128.png feather.png
+	newicon -s 96 "${WORKDIR}"/${P}/src/assets/images/appicons/96x96.png feather.png
+	newicon -s 64 "${WORKDIR}"/${P}/src/assets/images/appicons/64x64.png feather.png
+	newicon -s 48 "${WORKDIR}"/${P}/src/assets/images/appicons/48x48.png feather.png
+	newicon -s 32 "${WORKDIR}"/${P}/src/assets/images/appicons/32x32.png feather.png
+	domenu "${WORKDIR}"/${P}/src/assets/feather.desktop
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	einfo "Ensure that Tor is running with 'rc-service tor start' before"
+	einfo "using Feather."
+	einfo ""
+	einfo "Donation popup has been disabled in this build."
+	einfo "Consider donating to upstream developers here:"
+	einfo "https://docs.featherwallet.org/guides/donate"
+}


             reply	other threads:[~2024-12-28 20:08 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-28 20:08 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-30 12:02 [gentoo-commits] repo/proj/guru:master commit in: net-p2p/feather/ David Roman
2025-04-15  5:49 Haelwenn Monnier
2025-04-15  5:49 Haelwenn Monnier
2025-04-15  5:49 Haelwenn Monnier
2025-04-01  8:45 David Roman
2025-04-01  8:45 David Roman
2025-04-01  8:45 David Roman
2025-04-01  8:45 David Roman
2025-04-01  8:45 David Roman
2024-08-23  0:18 David Roman
2024-01-03 16:54 David Roman
2024-01-03 16:54 David Roman
2024-01-03 16:54 David Roman
2024-01-03 16:53 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-01-03 16:54 ` [gentoo-commits] repo/proj/guru:master " David Roman
2023-12-31 15:40 David Roman
2023-10-28  1:15 David Roman
2023-10-13 10:31 David Roman
2023-10-12  3:41 Rui Huang
2023-10-12  3:41 Rui Huang
2023-10-10  6:32 Rui Huang
2023-10-10  6:32 Rui Huang
2023-06-07  7:04 Viorel Munteanu
2023-05-30 21:58 Haelwenn Monnier
2023-05-30 21:58 Haelwenn Monnier
2023-01-30 10:29 Viorel Munteanu
2023-01-29 10:40 Viorel Munteanu
2023-01-29 10:40 Viorel Munteanu
2022-12-29 20:17 [gentoo-commits] repo/proj/guru:dev " Florian Schmaus
2022-12-29 20:17 ` [gentoo-commits] repo/proj/guru:master " Florian Schmaus
2022-12-27  8:05 Viorel Munteanu
2022-12-20 17:23 Haelwenn Monnier
2022-12-19 10:56 Viorel Munteanu
2022-12-06  6:09 Viorel Munteanu
2022-12-06  6:09 Viorel Munteanu
2022-12-06  6:09 Viorel Munteanu
2022-09-09 23:55 Ronny Gutbrod
2022-09-09 23:55 Ronny Gutbrod
2022-09-09 20:02 Ronny Gutbrod
2022-09-09 20:02 Ronny Gutbrod
2022-09-09 20:02 Ronny Gutbrod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1735345020.7e8a14d1babbc60327dc736dd3244541046075c4.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox